Package org.eclipse.birt.chart.model.attribute

# Interface AttributeFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AttributeFactoryImpl`

public interface AttributeFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `AttributePackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AttributeFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`AccessibilityValue`
`createAccessibilityValue()`
Returns a new object of class 'Accessibility Value'.
`ActionValue`
`createActionValue()`
Returns a new object of class 'Action Value'.
`Angle3D`
`createAngle3D()`
Returns a new object of class 'Angle3 D'.
`AxisOrigin`
`createAxisOrigin()`
Returns a new object of class 'Axis Origin'.
`Bounds`
`createBounds()`
Returns a new object of class 'Bounds'.
`CallBackValue`
`createCallBackValue()`
Returns a new object of class 'Call Back Value'.
`ColorDefinition`
`createColorDefinition()`
Returns a new object of class 'Color Definition'.
`Cursor`
`createCursor()`
Returns a new object of class 'Cursor'.
`DataPoint`
`createDataPoint()`
Returns a new object of class 'Data Point'.
`DataPointComponent`
`createDataPointComponent()`
Returns a new object of class 'Data Point Component'.
`DateFormatSpecifier`
`createDateFormatSpecifier()`
Returns a new object of class 'Date Format Specifier'.
`EmbeddedImage`
`createEmbeddedImage()`
Returns a new object of class 'Embedded Image'.
`ExtendedProperty`
`createExtendedProperty()`
Returns a new object of class 'Extended Property'.
`Fill`
`createFill()`
Returns a new object of class 'Fill'.
`FontDefinition`
`createFontDefinition()`
Returns a new object of class 'Font Definition'.
`FormatSpecifier`
`createFormatSpecifier()`
Returns a new object of class 'Format Specifier'.
`FractionNumberFormatSpecifier`
`createFractionNumberFormatSpecifier()`
Returns a new object of class 'Fraction Number Format Specifier'.
`Gradient`
`createGradient()`
Returns a new object of class 'Gradient'.
`Image`
`createImage()`
Returns a new object of class 'Image'.
`Insets`
`createInsets()`
Returns a new object of class 'Insets'.
`Interactivity`
`createInteractivity()`
Returns a new object of class 'Interactivity'.
`JavaDateFormatSpecifier`
`createJavaDateFormatSpecifier()`
Returns a new object of class 'Java Date Format Specifier'.
`JavaNumberFormatSpecifier`
`createJavaNumberFormatSpecifier()`
Returns a new object of class 'Java Number Format Specifier'.
`LineAttributes`
`createLineAttributes()`
Returns a new object of class 'Line Attributes'.
`Location`
`createLocation()`
Returns a new object of class 'Location'.
`Location3D`
`createLocation3D()`
Returns a new object of class 'Location3 D'.
`Marker`
`createMarker()`
Returns a new object of class 'Marker'.
`MultipleFill`
`createMultipleFill()`
Returns a new object of class 'Multiple Fill'.
`MultiURLValues`
`createMultiURLValues()`
Returns a new object of class 'Multi URL Values'.
`NumberFormatSpecifier`
`createNumberFormatSpecifier()`
Returns a new object of class 'Number Format Specifier'.
`Palette`
`createPalette()`
Returns a new object of class 'Palette'.
`PatternImage`
`createPatternImage()`
Returns a new object of class 'Pattern Image'.
`Rotation3D`
`createRotation3D()`
Returns a new object of class 'Rotation3 D'.
`ScriptValue`
`createScriptValue()`
Returns a new object of class 'Script Value'.
`SeriesValue`
`createSeriesValue()`
Returns a new object of class 'Series Value'.
`Size`
`createSize()`
Returns a new object of class 'Size'.
`StringFormatSpecifier`
`createStringFormatSpecifier()`
Returns a new object of class 'String Format Specifier'.
`Style`
`createStyle()`
Returns a new object of class 'Style'.
`StyleMap`
`createStyleMap()`
Returns a new object of class 'Style Map'.
`Text`
`createText()`
Returns a new object of class 'Text'.
`TextAlignment`
`createTextAlignment()`
Returns a new object of class 'Text Alignment'.
`TooltipValue`
`createTooltipValue()`
Returns a new object of class 'Tooltip Value'.
`URLValue`
`createURLValue()`
Returns a new object of class 'URL Value'.
`AttributePackage`
`getAttributePackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final AttributeFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createAccessibilityValue

AccessibilityValue createAccessibilityValue()
Returns a new object of class 'Accessibility Value'.

Returns:
  a new object of class 'Accessibility Value'.

### createActionValue

ActionValue createActionValue()
Returns a new object of class 'Action Value'.

Returns:
  a new object of class 'Action Value'.

### createAngle3D

Angle3D createAngle3D()
Returns a new object of class 'Angle3 D'.

Returns:
  a new object of class 'Angle3 D'.

### createAxisOrigin

AxisOrigin createAxisOrigin()
Returns a new object of class 'Axis Origin'.

Returns:
  a new object of class 'Axis Origin'.

### createBounds

Bounds createBounds()
Returns a new object of class 'Bounds'.

Returns:
  a new object of class 'Bounds'.

### createCallBackValue

CallBackValue createCallBackValue()
Returns a new object of class 'Call Back Value'.

Returns:
  a new object of class 'Call Back Value'.

### createColorDefinition

ColorDefinition createColorDefinition()
Returns a new object of class 'Color Definition'.

Returns:
  a new object of class 'Color Definition'.

### createCursor

Cursor createCursor()
Returns a new object of class 'Cursor'.

Returns:
  a new object of class 'Cursor'.

### createDataPoint

DataPoint createDataPoint()
Returns a new object of class 'Data Point'.

Returns:
  a new object of class 'Data Point'.

### createDataPointComponent

DataPointComponent createDataPointComponent()
Returns a new object of class 'Data Point Component'.

Returns:
  a new object of class 'Data Point Component'.

### createDateFormatSpecifier

DateFormatSpecifier createDateFormatSpecifier()
Returns a new object of class 'Date Format Specifier'.

Returns:
  a new object of class 'Date Format Specifier'.

### createEmbeddedImage

EmbeddedImage createEmbeddedImage()
Returns a new object of class 'Embedded Image'.

Returns:
  a new object of class 'Embedded Image'.

### createExtendedProperty

ExtendedProperty createExtendedProperty()
Returns a new object of class 'Extended Property'.

Returns:
  a new object of class 'Extended Property'.

### createFill

Fill createFill()
Returns a new object of class 'Fill'.

Returns:
  a new object of class 'Fill'.

### createFontDefinition

FontDefinition createFontDefinition()
Returns a new object of class 'Font Definition'.

Returns:
  a new object of class 'Font Definition'.

### createFormatSpecifier

FormatSpecifier createFormatSpecifier()
Returns a new object of class 'Format Specifier'.

Returns:
  a new object of class 'Format Specifier'.

### createFractionNumberFormatSpecifier

FractionNumberFormatSpecifier createFractionNumberFormatSpecifier()
Returns a new object of class 'Fraction Number Format Specifier'.

Returns:
  a new object of class 'Fraction Number Format Specifier'.

### createGradient

Gradient createGradient()
Returns a new object of class 'Gradient'.

Returns:
  a new object of class 'Gradient'.

### createImage

Image createImage()
Returns a new object of class 'Image'.

Returns:
  a new object of class 'Image'.

### createInsets

Insets createInsets()
Returns a new object of class 'Insets'.

Returns:
  a new object of class 'Insets'.

### createInteractivity

Interactivity createInteractivity()
Returns a new object of class 'Interactivity'.

Returns:
  a new object of class 'Interactivity'.

### createJavaDateFormatSpecifier

JavaDateFormatSpecifier createJavaDateFormatSpecifier()
Returns a new object of class 'Java Date Format Specifier'.

Returns:
  a new object of class 'Java Date Format Specifier'.

### createJavaNumberFormatSpecifier

JavaNumberFormatSpecifier createJavaNumberFormatSpecifier()
Returns a new object of class 'Java Number Format Specifier'.

Returns:
  a new object of class 'Java Number Format Specifier'.

### createLineAttributes

LineAttributes createLineAttributes()
Returns a new object of class 'Line Attributes'.

Returns:
  a new object of class 'Line Attributes'.

### createLocation

Location createLocation()
Returns a new object of class 'Location'.

Returns:
  a new object of class 'Location'.

### createLocation3D

Location3D createLocation3D()
Returns a new object of class 'Location3 D'.

Returns:
  a new object of class 'Location3 D'.

### createMarker

Marker createMarker()
Returns a new object of class 'Marker'.

Returns:
  a new object of class 'Marker'.

### createMultipleFill

MultipleFill createMultipleFill()
Returns a new object of class 'Multiple Fill'.

Returns:
  a new object of class 'Multiple Fill'.

### createMultiURLValues

MultiURLValues createMultiURLValues()
Returns a new object of class 'Multi URL Values'.

Returns:
  a new object of class 'Multi URL Values'.

### createNumberFormatSpecifier

NumberFormatSpecifier createNumberFormatSpecifier()
Returns a new object of class 'Number Format Specifier'.

Returns:
  a new object of class 'Number Format Specifier'.

### createPalette

Palette createPalette()
Returns a new object of class 'Palette'.

Returns:
  a new object of class 'Palette'.

### createPatternImage

PatternImage createPatternImage()
Returns a new object of class 'Pattern Image'.

Returns:
  a new object of class 'Pattern Image'.

### createRotation3D

Rotation3D createRotation3D()
Returns a new object of class 'Rotation3 D'.

Returns:
  a new object of class 'Rotation3 D'.

### createScriptValue

ScriptValue createScriptValue()
Returns a new object of class 'Script Value'.

Returns:
  a new object of class 'Script Value'.

### createSeriesValue

SeriesValue createSeriesValue()
Returns a new object of class 'Series Value'.

Returns:
  a new object of class 'Series Value'.

### createSize

Size createSize()
Returns a new object of class 'Size'.

Returns:
  a new object of class 'Size'.

### createStringFormatSpecifier

StringFormatSpecifier createStringFormatSpecifier()
Returns a new object of class 'String Format Specifier'.

Returns:
  a new object of class 'String Format Specifier'.

### createStyle

Style createStyle()
Returns a new object of class 'Style'.

Returns:
  a new object of class 'Style'.

### createStyleMap

StyleMap createStyleMap()
Returns a new object of class 'Style Map'.

Returns:
  a new object of class 'Style Map'.

### createText

Text createText()
Returns a new object of class 'Text'.

Returns:
  a new object of class 'Text'.

### createTextAlignment

TextAlignment createTextAlignment()
Returns a new object of class 'Text Alignment'.

Returns:
  a new object of class 'Text Alignment'.

### createTooltipValue

TooltipValue createTooltipValue()
Returns a new object of class 'Tooltip Value'.

Returns:
  a new object of class 'Tooltip Value'.

### createURLValue

URLValue createURLValue()
Returns a new object of class 'URL Value'.

Returns:
  a new object of class 'URL Value'.

### getAttributePackage

AttributePackage getAttributePackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.